- Tier: Free, Premium, Ultimate - Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated 이 API를 사용하여 프로젝트의 인테그레이션 을 관리합니다. 사전 요구 사항: 프로젝트에서 Maintainer 또는 Owner 역할이 있어야 합니다. 활성 인테그레이션 전체 목록 조회 # History vulnerability_events field introduced in GitLab 16.4. inherited field introduced in GitLab 17.2 with a flag named integration_api_inheritance . Disabled by default. inherited field generally available in GitLab 17.3. Feature flag integration_api_inheritance removed. 모든 활성 프로젝트 인테그레이션 목록을 가져옵니다. vulnerability_events 필드는 GitLab Enterprise Edition에서만 사용할 수 있습니다. GET /projects/:id/integrations 응답 예시: [ { "id": 75, "title": "Jenkins CI", "slug": "jenkins", "created_at": "2019-11-20T11:20:25.297Z", "updated_at": "2019-11-20T12:24:37.498Z", "active": true, "commit_events": true, "push_events": true, "issues_events": true, "alert_events": true, "confidential_issues_events": true, "merge_requests_events": true, "tag_push_events": false, "deployment_events": false, "note_events": true, "confidential_note_events": true, "pipeline_events": true, "wiki_page_events": true, "job_events": true, "comment_on_event_enabled": true, "inherited": false, "vulnerability_events": true }, { "id": 76, "title": "Alerts endpoint", "slug": "alerts", "created_at": "2019-11-20T11:20:25.297Z", "updated_at": "2019-11-20T12:24:37.498Z", "active": true, "commit_events": true, "push_events": true, "issues_events": true, "alert_events": true, "confidential_issues_events": true, "merge_requests_events": true, "